<link rel=stylesheet href="{$oPlugin->getPaths()->getAdminURL()}css/style.css" type="text/css" />
<script type="text/javascript" src="{$oPlugin->getPaths()->getAdminURL()}js/kk.js"></script>

<div id="feature_sort_create" class="kk-feature-sorter-admin-box">
	<form enctype="multipart/form-data" method="post" id="mappings_create">

		<span class="subheading1">
			{if isset($to_edit)}Merkmalsortierung mit ID {$to_edit->id} editieren{else}Merkmalsortierung erstellen{/if}
		</span>
		<hr class="mb-3">

		<div>
			<div class="form-group form-row align-items-center">
				<label class="col col-sm-4 col-form-label text-sm-right" for="sort_type">Typ:</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<select name="sort_type" id="sort_type" class="select2-normal">
						<option value="category" {if isset($to_edit) && $to_edit->sort_type == 'category'}
							selected="selected"{/if}>
							Kategorie
						</option>
						<option value="brand" {if isset($to_edit) && $to_edit->sort_type == 'brand'}
							selected="selected"{/if}>
							Hersteller
						</option>
						<option value="featureValue" {if isset($to_edit) && $to_edit->sort_type == 'featureValue'}
							selected="selected"{/if}>
							Merkmalwert
						</option>
						<option value="special" {if isset($to_edit) && $to_edit->sort_type == 'special'}
							selected="selected"{/if}>
							Spezialseiten
						</option>
						<option value="search" {if isset($to_edit) && $to_edit->sort_type == 'search'}
							selected="selected"{/if}>
							Suche
						</option>
					</select>
				</div>
			</div>

			<div class="form-group form-row align-items-center {if isset($to_edit) && $to_edit->sort_type != 'category'}hidden{/if}"
				id="category_select_row">
				<label class="col col-sm-4 col-form-label text-sm-right" for="kKategorie">Kategorie:</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<select name="kKategorie" class="form-control select2-normal">
						{$category_options}
					</select>
				</div>
			</div>

			<div class="form-group form-row align-items-center {if isset($to_edit) && ($to_edit->sort_type != 'brand')}hidden{/if}"
				id="brand_select_row">
				<label class="col col-sm-4 col-form-label text-sm-right" for="kHersteller">Hersteller:</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<select name="kHersteller" class="form-control select2-normal">
						{$brand_options}
					</select>
				</div>
			</div>
	
			<div class="form-group form-row align-items-center {if isset($to_edit) && ($to_edit->sort_type != 'featureValue')}hidden{/if}"
				id="featureValue_select_row">
				<label class="col col-sm-4 col-form-label text-sm-right" for="kFeatureValue">Merkmalwert:</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<select name="kFeatureValue" class="form-control select2-normal">
						{$featureValue_options}
					</select>
				</div>
			</div>
			
			<div class="form-group form-row align-items-center {if isset($to_edit) && ($to_edit->sort_type != 'special')}hidden{/if}"
				id="special_select_row">
				<label class="col col-sm-4 col-form-label text-sm-right" for="kSpecial">Spezialseite:</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<select name="kSpecial" class="form-control select2-normal">
						{$special_options}
					</select>
				</div>
			</div>

			<div class="form-group form-row align-items-center {if isset($to_edit) && ($to_edit->sort_type != 'search')}hidden{/if}"
				id="search_query_row">
				<label class="col col-sm-4 col-form-label text-sm-right" for="cSuchbegriff">Suchausdruck:</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<input name="cSuchbegriff" class="form-control"
						value="{if isset($to_edit) && $to_edit->sort_type == 'search' && !empty($to_edit->sort_key) && $to_edit->sort_key != -1}{$to_edit->sort_key}{/if}" />
				</div>
			</div>

			<div class="form-group form-row align-items-top">
				<label class="col col-sm-4 col-form-label text-sm-right" for="sorts">Merkmal Sortierung:</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<select name="featuresNu[]" class="form-control select2-sortable" multiple id="featuresNu">
						{$feature_options}
					</select>
				</div>
			</div>


			<div class="form-group form-row align-items-top">
				<label class="col col-sm-4 col-form-label text-sm-right order-1" for="appendUnsorted">Unsortierte Merkmale anh&auml;ngen?</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<select name="appendUnsorted" class="form-control">
						<option value="" {if empty($to_edit->appendUnsorted)} selected="selected"{/if}>globale
							Einstellung</option>
						<option value="Y" {if isset($to_edit) && $to_edit->appendUnsorted == 'Y'}
							selected="selected"{/if}>Ja</option>
						<option value="N" {if isset($to_edit) && $to_edit->appendUnsorted == 'N'}
							selected="selected"{/if}>Nein</option>
					</select>
				</div>
				<div class="col-auto ml-sm-n4 order-2 order-sm-3">
					<span data-html="true" data-toggle="tooltip" data-placement="left" data-original-title="Neben der globalen Einstellung kannst du hier für jede Sortierung bestimmen, ob unsortierte Merkmale (die nicht in deiner Sortierung vorkommen) angehangen werden sollen.">
						<span class="fas fa-info-circle fa-fw"></span>
					</span>
				</div>


			</div>
				
				
			<div class="form-group form-row align-items-top {if isset($to_edit) && $to_edit->sort_type != 'category'}hidden{/if}"
				id="inherit_sorts_row">
				<label class="col col-sm-4 col-form-label text-sm-right" for="inheritSorts">Sortierregeln vererben?</label>
				<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
					<select name="inheritSorts" class="form-control">
						<option value="" {if empty($to_edit->inheritSorts)} selected="selected"{/if}>-</option>
						<option value="Y" {if isset($to_edit) && $to_edit->inheritSorts == 'Y'}
							selected="selected"{/if}>Ja</option>
						<option value="N" {if isset($to_edit) && $to_edit->inheritSorts == 'N'}
							selected="selected"{/if}>Nein</option>
					</select>
				</div>
				<div class="col-auto ml-sm-n4 order-2 order-sm-3">
					<span data-html="true" data-toggle="tooltip" data-placement="left" data-original-title="Sollen - bei einer Sortierung f&uuml;r Kategorien - diese auch auf Unterkategorien vererbt werden?">
						<span class="fas fa-info-circle fa-fw"></span>
					</span>
				</div>
			</div>
		</div>

		<div class="save-wrapper">
			<div class="row">
				<div class="ml-auto col-sm-6 col-xl-auto">
					{if isset($to_edit)}
					<input type="hidden" value="{$to_edit->id}" name="to_edit_id" />
					{/if}
					{if isset($to_edit)}
					<button name="featuresort_abort_submit" type="submit" class="btn btn-default">
						<i class='fa fa-close'></i> Abbrechen
					</button>
					<button name="featuresort_save_submit" type="submit" class="btn btn-primary">
						<i class='fa fa-save'></i> Merkmalsortierung speichern
					</button>
					{else}
					<button name="featuresort_create_submit" type="submit" class="btn btn-primary">
						<i class='fa fa-plus-square'></i> Merkmalsortierung erstellen
					</button>
					{/if}
				</div>
			</div>
		</div>

	</form>
</div>

<div id="feature_sort_edit" class="kk-feature-sorter-admin-box">
	<form enctype="multipart/form-data" method="post" id="mappings_create">

		<span class="subheading1">
			Merkmalsortierungen verwalten
		</span>
		<hr class="mb-3">

	
		{if isset($feature_table)}
		<div class="table-responsive">
			{$feature_table}
		</div>
		{else}
		<div class="alert alert-info">
			Noch keine Merkmalsortierungen angelegt.
		</div>
		{/if}


		<div class="save-wrapper">
			<div class="row">
				<div class="ml-auto col-sm-6 col-xl-auto">
					<button class='button remove btn btn-default' type='submit' name='featuresort_cleanup_submit'
						data-toggle='tooltip'
						title='Sucht Sortierungen nicht (mehr) vorhandener Shopseiten und entfernt diese.'>
						<i class='fa fa-trash'></i> Sortierungen aufr&auml;umen
					</button>
				</div>
			</div>
		</div>

	</form>
</div>

<div id="feature_sort_settings" class="kk-feature-sorter-admin-box">
	<form enctype="multipart/form-data" method="post" id="feature_settings">

		<span class="subheading1">
			Erweiterte Sortiereinstellungen 
		</span>
		<hr class="mb-3">

		<div class="form-group form-row align-items-top">
			<label class="col col-sm-4 col-form-label text-sm-right" for="sorts">Folgende Merkmale immer entfernen:</label>
			<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
				<select name="featuresExclude[]" class="form-control select2-sortable" multiple id="featuressExcludeNu">
					{$featureExclude_options}
				</select>
			</div>
		</div>

		<div class="form-group form-row align-items-top">
			<label class="col col-sm-4 col-form-label text-sm-right" for="sorts">Folgende Merkmale immer voranstellen:</label>
			<div class="col-sm pl-sm-3 pr-sm-5 order-last order-sm-2 ">
				<select name="featuresDefault[]" class="form-control select2-sortable" multiple id="featuresDefaultNu">
					{$featureDefault_options}
				</select>
			</div>
		</div>

		<div class="save-wrapper">
			<div class="row">
				<div class="ml-auto col-sm-6 col-xl-auto">
					<button name="featuresetting_save_submit" type="submit" class="btn btn-primary">
						<i class='fa fa-save'></i> Einstellungen speichern
					</button>
				</div>
			</div>
		</div>

	</form>
</div>